package AdThreeAnalysis;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class PackageAction extends JceStruct {
    public String coordinatesStr;
    public String url;

    public PackageAction() {
        super();
        this.url = "";
        this.coordinatesStr = "";
    }

    public PackageAction(String arg2, String arg3) {
        super();
        this.url = "";
        this.coordinatesStr = "";
        this.url = arg2;
        this.coordinatesStr = arg3;
    }

    public final void readFrom(c arg3) {
        this.url = arg3.b(0, false);
        this.coordinatesStr = arg3.b(1, false);
    }

    public final void writeTo(d arg3) {
        if(this.url != null) {
            arg3.a(this.url, 0);
        }

        if(this.coordinatesStr != null) {
            arg3.a(this.coordinatesStr, 1);
        }
    }

}
